Page MenuHomePhabricator

Add 'offset' or pagination to Massviews
Closed, DeclinedPublic

Description

If a source has over 500 pages, there's no way to get data on anything other than the first 500. T124314 show allow us to run on any number of pages, but in the meantime we could add an "offset" parameter to Massviews to force it to run starting at that entry in the source.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2016, 5:00 PM
MusikAnimal closed this task as Declined.Sep 23 2016, 7:36 PM

Maybe we'll add this... but I feel like with the new AQS cluster in place we can get away with processing the entire dataset in one succession. Right now the page limit has been increased to 5,000 pages, and might be removed altogether pending other performance improvements.

MusikAnimal moved this task from Backlog to Done on the Tool-Pageviews board.Sep 28 2016, 3:16 AM